Bug 128834 - acpid uses 100% CPU if directory in /etc/acpid/events exists
acpid uses 100% CPU if directory in /etc/acpid/events exists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-07-30 04:47 EDT by Hans Ulrich Niedermann
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 09:36:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2004-07-30 04:47:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
I use RCS with the RCS/ subdirectory for my config files.

When starting acpid while /etc/acpid/events/RCS/ exists, acpid eats
100% of CPU time. Probably acpid should ignore directories when
scanning /etc/acpid/events, or explicitly only accept files.

The busy-looping acpid doesn't even react to SIGTERM.


Version-Release number of selected component (if applicable):
acpid-1.0.2-6

How reproducible:
Always

Steps to Reproduce:
1. mkdir /etc/acpid/events/foobar
2. /etc/init.d/acpid stop
3. /etc/init.d/acpid start
Comment 1 Miloslav Trmač 2004-08-09 09:36:26 EDT
Should be fixed in acpid-1.0.3-2, to show up in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.